Subject: bug#8622: 24.0.50; url-parse does not implement RFC3986 5.2

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 11 Sep 2011 18:30:13 +0200

Julien Danjou <[email-masked]> writes:

> Then go to 5.4.2:
>
>    Although the following abnormal examples are unlikely to occur in
>    normal practice, all URI parsers should be capable of resolving them
>    consistently.  Each example uses the same base as that above.
>
>    Parsers must be careful in handling cases where there are more ".."
>    segments in a relative-path reference than there are hierarchical
>    levels in the base URI's path.  Note that the ".." syntax cannot be
>    used to change the authority component of a URI.

Still talking about "base" and "relative".  Nothing about parsing a full
URL.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/